<link rel="import" href="../../polymer/polymer-element.html" />

<dom-module id="lista-pendientes">
    <template>
        <link rel="stylesheet" href="bulma.min.css" />
        <style>
            input[type="checkbox"] {
                margin: 5px;
            }
        </style>
        <ul id="lista">
            <template is="dom-repeat" items="{{pendientes}}" as="pendiente">
                <li>
                    <input type="checkbox" on-click="formatearPendiente" />
                    <span>{{pendiente.texto}}</span>
                </li>
            </template>
        </ul>
        <template is="dom-if" if="{{!pendientes.length}}">
            <p class="has-text-centered" id="ninguno">No tienes ningún pendiente</p>
        </template>
    </template>

    <script>
        class ListaPendientes extends Polymer.Element {
            static get is() {
                return "lista-pendientes";
            }
            static get properties() {
                return {
                    pendientes: {
                        type: Array,
                        notify: true,
                        value: [],
                    },
                };
            }
            listaVacia() {
                console.log(this.pendientes.length < 1);
                return this.pendientes.length < 1;
            }
            set nuevoPendiente(value) {
                this.push("pendientes", {
                    cumplido: false,
                    texto: value,
                });
            }
            formatearPendiente(e) {
                if (e.target.checked) {
                    e.target.nextElementSibling.style.textDecoration = "line-through";
                } else {
                    e.target.nextElementSibling.style.textDecoration = "none";
                }
            }
        }

        window.customElements.define(ListaPendientes.is, ListaPendientes);
    </script>
</dom-module>
